<?php
/**
*
* @package VC
* @version $Id$
* @copyright (c) 2009 phpBB Group
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

/**
* mimetex captcha
*
* @package VC
*/
class captcha
{
	var $width = 360;
	var $height = 96;

	/**
	* Create the image containing $code with a seed of $seed
	*/
	function execute($code, $seed)
	{
		global $phpbb_root_path, $config;
		
		if (empty($config['captcha_math_mimetex']) || isset($config['captcha_math_mimetex']) && !is_file(htmlspecialchars_decode($config['captcha_math_mimetex'])))
		{
			exit;
		}
		
		$filename = $phpbb_root_path . 'cache/math_' . unique_id();
		
		exec(htmlspecialchars_decode($config['captcha_math_mimetex']) . ' -e ' . escapeshellcmd($filename) . ' ' . escapeshellcmd('\\Huge~' . htmlspecialchars_decode($code)) . (defined('DEBUG') && defined('DEBUG_EXTRA') ? ' > ' . escapeshellcmd($filename . '.debug') : ''));
		
		if (!file_exists($filename))
		{
			exit;
		}
		
		// Send image
		header('Content-Type: image/gif');
		header('Cache-control: no-cache, no-store');
		@readfile($filename);
		@unlink($filename);
		
		if (defined('DEBUG') && defined('DEBUG_EXTRA'))
		{
			@unlink($filename . '.debug');
		}
	}
}
