<?php
/**
*
* math captcha [English]
*
* @package language
* @version $Id$
* @copyright (c) 2009 phpBB Group
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine

$lang = array_merge($lang, array(
	'CAPTCHA_MATH'				=> 'Crazy Maths CAPTCHA',
	'CONFIRM_QUESTION_EXPLAIN'	=> 'To prove that you are a human solve the following math question.',
	'CONFIRM_QUESTION_WRONG'	=> 'You have provided an invalid answer to the confirmation question.',

	'QUESTION_ANSWER'			=> 'Answer',
	'ANSWER_EXPLAIN'			=> 'Please enter the valid answer to the question.',
	'CONFIRM_QUESTION'			=> 'Question',
	'QUESTIONS'				=> 'Questions',

	'ANSWER'					=> 'Answer',
	'EDIT_QUESTION'				=> 'Edit Question',
	'QUESTION_DELETED'			=> 'Question deleted',

	'QUESTION_TEXT'				=> 'Question',
	'QUESTION_TEXT_EXPLAIN'		=> 'The question that will be asked on registration.',

	'QUESTION_ANSWER'			=> 'Answer',
	'QUESTION_ANSWER_EXPLAIN'		=> 'The answer to the question.',

	'MATH_ERROR_MSG'			=> 'Please fill in all fields.',

	'QUESTION_STORED'			=> 'The question was stored.',
	'QUESTION_DATA'				=> 'Question data',
	
	'ADD_QUESTION'				=> 'Add question',
	
	'CONFIG_NO_PERMISSION'			=> 'Non-founders are not permitted to modify the configuration of the math CAPTCHA.',
	
	'CAPTCHA_MATH_MIMETEX'			=> 'mimetex path',
	'CAPTCHA_MATH_MIMETEX_EXPLAIN'		=> 'Enter the path of your mimetex binary.',
));

?>
